stages:
  - package
  - release

include:
  - project: 'sylvanld/gitlab-ci'
    ref: python-release
    file: '/job-template/python/job.yaml'
  
  - project: 'sylvanld/gitlab-ci'
    ref: python-release
    file: '/job-template/python/release.yaml'

  - project: 'sylvanld/gitlab-ci'
    ref: improve-docker-build
    file: '/job-template/docker/release.yaml'

python-release:
  stage: package
  extends: .python_release
  variables:
    PYTHON_PACKAGE_VERSION: "$CI_COMMIT_TAG"
    TWINE_VERSION: "3.8.0"
  rules:
    - if: $CI_COMMIT_TAG != null
      when: always

docker-release:
  stage: release
  extends: .docker_release
  needs:
    - python-release
  variables:
    DOCKER_BUILD_ARGS: "DOCKERHUB_CLIENT_VERSION=$CI_COMMIT_TAG"
    DOCKER_IMAGE_NAME: "sylvanld/dockerhub-client"
    DOCKER_IMAGE_TAG: "$CI_COMMIT_TAG"
  rules:
    - if: $CI_COMMIT_TAG != null
      when: always
